Path disclosure in DynPG

2010-12-01T00:00:00
ID SECURITYVULNS:DOC:25221
Type securityvulns
Reporter Securityvulns
Modified 2010-12-01T00:00:00

Description

Vulnerability ID: HTB22702 Reference: http://www.htbridge.ch/advisory/path_disclosure_in_dynpg.html Product: DynPG Vendor: dynpg.org ( http://www.dynpg.org/ ) Vulnerable Version: 4.2.0 Vendor Notification: 16 November 2010 Vulnerability Type: Path disclosure Status: Fixed by Vendor Risk level: Low Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/)

Vulnerability Details: The vulnerability exists due to failure in the "/languages.inc.php" script, it's possible to generate an error that will reveal the full path of the script. A remote user can determine the full path to the web root directory and other potentially sensitive information.

Attacker can use browser to exploit this vulnerability. The following PoC is available:

http://[host]/languages.inc.php

Solution: Upgrade to the most recent version